<script type="text/javascript">
$(document).ready(function() {
    $(function() {
        $("#theList.detail tr:even").addClass("stripe1");
        $("#theList.detail tr:odd").addClass("stripe2");

        $("#theList.detail tr").hover(
            function() {
                $(this).toggleClass("highlight");
            },
            function() {
                $(this).toggleClass("highlight");
            }
        );
    });	
});

	function edit_data(ID){
		var kode = ID;
						
		$.ajax({
			type	: "POST",
			url		: "modul/returjual/edit.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_kodest").val(data.kodest);
				$("#txt_namast").val(data.namast);
				$("#txt_satuan").val(data.tsatuan);
				$("#txt_jmlkirim").val(data.jmlkirim);
				$("#txt_jmlretur").val(data.jmlretur);
				$("#txt_hgjual").val(data.hgjual);
				$("#txt_hgbeli").val(data.hgbeli);
				$("#txt_jumlah").val(data.tjumlah);
				$("#txt_ket").val(data.ket);
			}
		});
	}

	function hapus_data(ID){
		var pilih = confirm('Data yang akan dihapus kode = '+ID+ '?');
		if (pilih==true) {
		var kode = ID;
		$.ajax({
			type	: "POST",
			url		: "modul/returjual/hapus.php",
			data	: "kode="+kode,
			success	: function(data){
				$("#info").html(data);
				tampil_data_detail();
			}
		});
		}
	}
	
	function tampil_data_detail(){
		var kode = $("#txt_kode").val();
		$("#data_detail").load("modul/returjual/tampil_data_detail.php?kode="+kode);
	}
	
</script>
<?php
include '../../inc/inc.koneksi.php';
$kode	= $_GET[kode];
echo "<table id='theList' class='detail' width='100%'>
		<tr>
			<th>No.</th>
			<th>Kode</th>
			<th>Nama Barang</th>
			<th>Satuan</th>
			<th>Jml.Kirim</th>
			<th>Jml.Retur</th>
			<th>Harga Jual</th>
			<th>Nilai Retur</th>
			<th>Keterangan</th>
			<th>Aksi</th>
		</tr>";
		$sql = "SELECT * FROM retur_pj WHERE kode_rj='$kode' ORDER BY kode_rj";
						
		$query = mysql_query($sql);		
		$no=1;
		$total=0;
		while($r_data=mysql_fetch_array($query)){
			$kode 	= $r_data[kode_rj].'-'.$r_data[kode_st];
			$total	= $total+$r_data[jumlah];
			
			echo "<tr>
					<td align='center'>$no</td>
					<td>$r_data[kode_st]</td>
					<td>$r_data[nama_st]</td>
					<td>$r_data[satuan]</td>
					<td align='center'>".number_format($r_data[jml_kirim],2)."</td>
					<td align='center'>".number_format($r_data[jml_retur],2)."</td>
					<td align='right'>".number_format($r_data[hg_jual],0)."</td>
					<td align='right'>".number_format($r_data[jumlah],0)."</td>
					<td>$r_data[keterangan]</td>
					<td align='center'>
						<a href='javascript:void(0)' onClick=\"edit_data('$kode')\">
						<img src='icon/thumb_up.png' border='0' id='edit' title='Edit' width='12' height='12' ></a>					
						<a href='javascript:void(0)' onClick=\"hapus_data('$kode')\">
						<img src='icon/thumb_down.png' border='0' id='hapus' title='Hapus' width='12' height='12' ></a>					
					</td>
				</tr>";
			$no++;			
		}
	echo "<tr>
			<td></td>
			<td></td>
			<td></td>
			<td></td>
			<td></td>
			<td></td>
			<td align='right'>Total</td>
			<td align='right'>".number_format($total,0)."</td>			
		</tr>";
	echo "</table>";
?>